﻿

@if (ShowWaiting)
{
    <div class="espera">
        <div class="spinner-border text-primary" role="status">
            <span class="sr-only">Cargando...</span>
        </div>
    </div>
}

@code {

    private bool ShowWaiting { get; set; } = false;

    public async Task Show(bool show = true)
    {
        this.ShowWaiting = show;
        await Task.Delay(30);
        await this.InvokeAsync(StateHasChanged);
    }

}

<style>

    .espera {
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        position: fixed;
        display: flex;
        opacity: 0.8;
        background-color: #fff;
        z-index: 99;
        text-align: center;
        align-items: center;
        justify-content: center;
        margin: 0;
    }

</style>
